# RTC development in MIKE+py

this folder contains information on alle optimizations of RTC which were conducted in MIKE+ via Mike+py

The Optimizastion_control_rules.ipynb is used to optimise the input parameters of the control elements of a drainage system using a MIKE+ model. 
The aim is to minimise the runoff from the system into the receiving watercourse without causing flooding on the roads.

The script receives the MIKE+ model, a list of all precipitation events (config_event.xlsx), 
a list of the parameters to be optimised (config_parameters.xlsx) 
and a list of the structures (structures.xlsx) for which overflows are to be minimised. 
The files should be saved in the same folder as this script, as relative paths are used.

# equal-filling-degree (EQF)

no optimization was used for the implemented EQF model but a script was used to get the storage curves. 
The script containing this calculation is named: "model_simplification.ipynb". It created the storages curves based on result data
from the model. In the project 2 years of data was used. It then smoothes a storage curve through the data points.


# static throttle optimization